Subject: bug#40998: [PATCH v2 4/4] initrd: Print its command-line parameters.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 28 Feb 2022 10:54:42 -0500

Hi,

Tobias Geerinckx-Rice <[email-masked]> writes:

> On 19 February 2022 07:01:55 UTC, Maxim Cournoyer <[email-masked]> wrote:
>>* gnu/build/linux-boot.scm (boot-system): Print command-line parameters to
>>standard output.
>>---
>> gnu/build/linux-boot.scm | 2 ++
>> 1 file changed, 2 insertions(+)
>>
>>diff --git a/gnu/build/linux-boot.scm b/gnu/build/linux-boot.scm
>>index 2f8b114806..30442ec8f8 100644
>>--- a/gnu/build/linux-boot.scm
>>+++ b/gnu/build/linux-boot.scm
>>@@ -542,6 +542,8 @@ (define (device-string->file-system-device device-string)
>>              (root-fs*    (find root-mount-point? mounts))
>>              (fsck.mode (find-long-option "fsck.mode" args)))
>> 
>>+        (format #t "initrd command-line parameters: ~a~%" args)
>>+
>>         (unless (or root-fs* (and root-device rootfstype))
>>           (error "no root file system or 'root' and 'rootfstype' parameters"))
>> 
>
> I suggest dropping this patch.  The kernel already does this.  It's just noise.

I thought about adding it after attempting to debug initrd/kernel
problems as can be seen here: https://elephly.net/paste/1645124517.html
(this is the Berlin boot log copied from a serial console).  Not that
the initrd printing it itself would have helped here, as it appears to
be truncated from when Linux took over the initrd script, if I
understand correctly.

Anyway, I agree it's probably redundant and useless in all but more
desperate debugging cases :-), so I don't mind to drop it.

Thanks,

Maxim